local AssignSoldier = ...

-- Register all stone gate set building parts and their properties
AssignSoldier:dofile("scripts/compPathAccess.lua")
AssignSoldier:dofile("scripts/compPathAEnd.lua")
AssignSoldier:dofile("scripts/basicWorkplace.lua")
AssignSoldier:dofile("scripts/behavior_tree.lua")

-- Register the stone gate set monument
if _flagSg5 then
    AssignSoldier:override({
        Id = "STONE_GATE_V5_MONUMENT",
        BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = "STONE_GATE_V5_ENTRANCE_PARTSETLIST_NAME",
                	BuildingPartList = {
                            _assignSoldierPrefix .. "_KEEP_TRAP_ACCESS_PART",
                            _assignSoldierPrefix .. "_SMALL_GATE_ACCESS_R_PART",
                            _assignSoldierPrefix .. "_SMALL_GATE_ACCESS_L_PART"
                        }
                }
        }
    })
end
if _flagSg7 then
    AssignSoldier:override({
        Id = "STONE_GATE_V7_MONUMENT",
        BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = "STONE_GATE_V7_ENTRANCE_PARTSETLIST_NAME",
                	BuildingPartList = {
                            _assignSoldierPrefix .. "_KEEP_TRAP_ACCESS_PART",
                            _assignSoldierPrefix .. "_SMALL_GATE_ACCESS_R_PART",
                            _assignSoldierPrefix .. "_SMALL_GATE_ACCESS_L_PART"
                        }
                }
        }
    })
end
